/**
 * Created by janis dähne.
 */

import {
  SET_compileTimeoutInMsAction,
  SET_maxDiskSpaceInKbAction,
  SET_memoryLimitInKbAction,
  SET_timeoutInMsAction
} from "../../../reducers/exerciseEditorSite/subSets/setEditorExerciseDefaultTestSettingsReducer";
import {ActionType} from "../../../reducers/exerciseEditorSite/editorExerciseSiteActionTypes";

//---TestSettingsFullBase

export function setTimeoutInMs(timeoutInMs: number): SET_timeoutInMsAction {
  return {
    type: ActionType.SET_timeoutInMs,
    timeoutInMs
  }
}

export function setCompileTimeoutInMs(compileTimeoutInMs: number): SET_compileTimeoutInMsAction {
  return {
    type: ActionType.SET_compileTimeoutInMs,
    compileTimeoutInMs
  }
}


export function setMemoryLimitInKb(memoryLimitInKb: number): SET_memoryLimitInKbAction {
  return {
    type: ActionType.SET_memoryLimitInKb,
    memoryLimitInKb
  }
}

export function setMaxDiskSpaceInKb(maxDiskSpaceInKb: number): SET_maxDiskSpaceInKbAction {
  return {
    type: ActionType.SET_maxDiskSpaceInKb,
    maxDiskSpaceInKb
  }
}
